# Class EventVersion

java.lang.Object
org.daypilot.data.EventVersion

public class EventVersion extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventVersion()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBackColor()`
  `String`
  `getBorderColor()`
  `String`
  `getCssClass()`
  `DateTime`
  `getEnd()`
  `String`
  `getFontColor()`
  `String`
  `getHtml()`
  `DateTime`
  `getStart()`
  `String`
  `getText()`
  `boolean`
  `isBarHidden()`
  `void`
  `setBackColor(String backColor)`
  `void`
  `setBarHidden(boolean barHidden)`
  `void`
  `setBorderColor(String borderColor)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setEnd(DateTime end)`
  `void`
  `setFontColor(String fontColor)`
  `void`
  `setHtml(String html)`
  `void`
  `setStart(DateTime start)`
  `void`
  `setText(String text)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventVersion

    public EventVersion()

- ## Method Details

  - ### getStart

    public DateTime getStart()

  - ### setStart

    public void setStart(DateTime start)

  - ### getEnd

    public DateTime getEnd()

  - ### setEnd

    public void setEnd(DateTime end)

  - ### getText

    public String getText()

  - ### setText

    public void setText(String text)

  - ### getHtml

    public String getHtml()

  - ### setHtml

    public void setHtml(String html)

  - ### getBackColor

    public String getBackColor()

  - ### setBackColor

    public void setBackColor(String backColor)

  - ### getFontColor

    public String getFontColor()

  - ### setFontColor

    public void setFontColor(String fontColor)

  - ### getBorderColor

    public String getBorderColor()

  - ### setBorderColor

    public void setBorderColor(String borderColor)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)

  - ### isBarHidden

    public boolean isBarHidden()

  - ### setBarHidden

    public void setBarHidden(boolean barHidden)